This is an automated email from the git hooks/post-receive script.

infinity0 pushed a commit to branch debian/experimental
in repository ocaml.

commit 0ac090ac9beaa2b5c7defe3ec7688090c05beebd
Author: Ximin Luo <infini...@debian.org>
Date:   Fri Mar 3 17:00:02 2017 +0100

    Add Replaces, lintian-overrides to d/control, reduce dpkg-gencontrol 
warnings
---
 debian/control                        | 10 ++--------
 debian/control.in                     | 12 +++---------
 debian/ocaml-nox.lintian-overrides.in |  2 ++
 debian/rules                          |  2 +-
 4 files changed, 8 insertions(+), 18 deletions(-)

diff --git a/debian/control b/debian/control
index c1305ee..fc3c50b 100644
--- a/debian/control
+++ b/debian/control
@@ -46,7 +46,7 @@ Suggests:
 Recommends:
  camlp4,
  file
-Replaces: ocaml-interp (<< 3.11.1-3)
+Replaces: ocaml-interp (<< 3.11.1-3), ocaml-native-compilers (<< 4.04.0-1)
 Breaks:
  dh-ocaml (<< 1.0.0),
  ocaml-interp (<< 3.11.1-3),
@@ -79,7 +79,6 @@ Package: ocaml
 Architecture: any
 Depends:
  ocaml-base-nox,
- ${shlibs:Depends},
  ${misc:Depends},
  ${ocaml:Depends},
  libx11-dev
@@ -112,9 +111,8 @@ Description: ML language implementation with a class-based 
object system
 Package: ocaml-base-nox
 Architecture: any
 Depends:
- ${shlibs:Depends},
  ${misc:Depends},
- ${ocaml:Depends}
+ ${shlibs:Depends},
 Provides:
  ${ocaml:Provides}
 Replaces: ocaml-interp (<< 3.11.1-3)
@@ -165,7 +163,6 @@ Architecture: any
 Depends:
  ocaml-compiler-libs (= ${binary:Version}),
  ${ocaml:Depends},
- ${shlibs:Depends},
  ${misc:Depends}
 Provides:
  ocaml-interp-${F:OCamlABI}
@@ -181,8 +178,6 @@ Description: OCaml interactive interpreter and standard 
libraries
 Package: ocaml-compiler-libs
 Architecture: any
 Depends:
- ${ocaml:Depends},
- ${shlibs:Depends},
  ${misc:Depends},
  ocaml-nox-${F:OCamlABI}
 Provides:
@@ -202,7 +197,6 @@ Package: ocaml-mode
 Architecture: all
 Depends:
  emacs | emacsen, emacsen-common (>= 2.0.8),
- ${shlibs:Depends},
  ${misc:Depends}
 Suggests: ocaml
 Description: major mode for editing Objective Caml in Emacs
diff --git a/debian/control.in b/debian/control.in
index ba3dae3..fc3c50b 100644
--- a/debian/control.in
+++ b/debian/control.in
@@ -37,7 +37,7 @@ Depends:
  binutils
 Provides:
  ${ocaml:Provides},
- ocaml-best-compilers,
+ ocaml-best-compilers (= ${binary:Version}),
  ${F:NativeProvides},
  libnums-ocaml-dev
 Suggests:
@@ -46,7 +46,7 @@ Suggests:
 Recommends:
  camlp4,
  file
-Replaces: ocaml-interp (<< 3.11.1-3)
+Replaces: ocaml-interp (<< 3.11.1-3), ocaml-native-compilers (<< 4.04.0-1)
 Breaks:
  dh-ocaml (<< 1.0.0),
  ocaml-interp (<< 3.11.1-3),
@@ -79,7 +79,6 @@ Package: ocaml
 Architecture: any
 Depends:
  ocaml-base-nox,
- ${shlibs:Depends},
  ${misc:Depends},
  ${ocaml:Depends},
  libx11-dev
@@ -112,9 +111,8 @@ Description: ML language implementation with a class-based 
object system
 Package: ocaml-base-nox
 Architecture: any
 Depends:
- ${shlibs:Depends},
  ${misc:Depends},
- ${ocaml:Depends}
+ ${shlibs:Depends},
 Provides:
  ${ocaml:Provides}
 Replaces: ocaml-interp (<< 3.11.1-3)
@@ -165,7 +163,6 @@ Architecture: any
 Depends:
  ocaml-compiler-libs (= ${binary:Version}),
  ${ocaml:Depends},
- ${shlibs:Depends},
  ${misc:Depends}
 Provides:
  ocaml-interp-${F:OCamlABI}
@@ -181,8 +178,6 @@ Description: OCaml interactive interpreter and standard 
libraries
 Package: ocaml-compiler-libs
 Architecture: any
 Depends:
- ${ocaml:Depends},
- ${shlibs:Depends},
  ${misc:Depends},
  ocaml-nox-${F:OCamlABI}
 Provides:
@@ -202,7 +197,6 @@ Package: ocaml-mode
 Architecture: all
 Depends:
  emacs | emacsen, emacsen-common (>= 2.0.8),
- ${shlibs:Depends},
  ${misc:Depends}
 Suggests: ocaml
 Description: major mode for editing Objective Caml in Emacs
diff --git a/debian/ocaml-nox.lintian-overrides.in 
b/debian/ocaml-nox.lintian-overrides.in
index e143178..0845884 100644
--- a/debian/ocaml-nox.lintian-overrides.in
+++ b/debian/ocaml-nox.lintian-overrides.in
@@ -1 +1,3 @@
 ocaml-nox: script-not-executable .@OCamlStdlibDir@/camlheader
+ocaml-nox: binary-without-manpage usr/bin/ocaml*.byte
+ocaml-nox: binary-without-manpage usr/bin/ocaml*.opt
diff --git a/debian/rules b/debian/rules
index f3acc20..842ac38 100755
--- a/debian/rules
+++ b/debian/rules
@@ -241,7 +241,7 @@ endif
 
 .PHONY: override_dh_gencontrol
 override_dh_gencontrol:
-       for u in $(ALL_PACKAGES); do \
+       for u in ocaml-source ocaml-interp ocaml-compiler-libs; do \
          echo 'F:OCamlABI=$(OCAML_ABI)' >> debian/$$u.substvars; \
        done
 ifeq (,$(OCAML_OPT_ARCH))

-- 
Alioth's /usr/local/bin/git-commit-notice on 
/srv/git.debian.org/git/pkg-ocaml-maint/packages/ocaml.git

_______________________________________________
Pkg-ocaml-maint-commits mailing list
Pkg-ocaml-maint-commits@lists.alioth.debian.org
http://lists.alioth.debian.org/cgi-bin/mailman/listinfo/pkg-ocaml-maint-commits

Reply via email to